"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var schemaYieldFields = [
    { key: 'title', blockTagName: 'name' },
    { key: 'type', blockTagName: 'type' },
    { key: 'description', blockTagName: 'description' },
    { key: 'default', blockTagName: 'default', allowObjectValue: true },
    { key: 'enum', blockTagName: 'enum', allowObjectValue: true },
    { key: 'examples', blockTagName: 'example', allowObjectValue: true }
];
exports.defaultCommentGenerator = function (schema) {
    var contents = [];
    for (var _i = 0, schemaYieldFields_1 = schemaYieldFields; _i < schemaYieldFields_1.length; _i++) {
        var field = schemaYieldFields_1[_i];
        if (field.key in schema) {
            var value = schema[field.key];
            if (typeof value !== 'object') {
                contents.push("@" + field.blockTagName + " " + value);
            }
            else if (field.allowObjectValue) {
                contents.push("@" + field.blockTagName + " " + JSON.stringify(value));
            }
        }
    }
    return contents.length === 0 ? undefined : {
        type: 'block',
        content: contents.join('\n')
    };
};
//# sourceMappingURL=defaultCommentGenerator.js.map